Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #732

Add configuration option to disable recursion in directories
July 23, 2017 23:51 - Cristian Rigamonti

Status: Closed Start date: July 23, 2017
Priority: Minor Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 3.10

Affects version: 3.7.2

Description

Currently when running
audacious my_dir

the program adds all media contained in my_dir and all its subdirectories; the same happens in the GUI when selecting a directory
with the "open" or "add" commands.

Sometimes one only wants media contained in the directory, without scanning all its subdirectories.

E.g. | sometimes by mistake run audacious on a directory which has LOTS of subdirs, sometimes even my $home: a massive scan
for subdirs starts, and | can't stop it even exiting the program GUI, | have to kill -9 all the audacious processes. You can think of other
use cases.

Please add a configuration option to enable/disable recursion into subdirectories.

(audacious 3.7.2 on Linux)

History

#1 - September 16, 2017 04:05 - Jim Turner
- File patchbug732.diff added

Will this do for starters?

Added boolean config option [audacious].no_subdirs that if set to TRUE stops recursive addition of subdirectories, along with gui checkbox in
[Settings].[Playlist] for gtk & gt. FALSE || undef: keep current behavior.

#2 - September 20, 2017 01:53 - John Lindgren
- Description updated

- Status changed from New to Closed

- Target version set to 3.10

- % Done changed from 0 to 100

Files

patchbug732.diff 1.82 KBSeptember 16, 2017 Jim Turner

May 03, 2025 1/1



http://www.tcpdf.org

